// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
  // GUIDEBOOK
  event.shapeless(Item.of('patchouli:guide_book', { 'patchouli:book': 'patchouli:settlers_book' }), ['minecraft:dirt'])
  // OP WEAPONS & ARMOR
  event.remove({ output: 'aquaculture:neptunium_sword' });
  event.remove({ output: 'endrem:end_crystal_hoe' });
  event.remove({ output: 'endrem:end_crystal_pickaxe' });
  event.remove({ output: 'endrem:end_crystal_axe' });
  event.remove({ output: 'endrem:end_crystal_sword' });
  event.remove({ output: 'endrem:end_crystal_shovel' });
  event.remove({ output: 'enigmaticlegacy:etherium_helmet' });
  event.remove({ output: 'enigmaticlegacy:etherium_chestplate' });
  event.remove({ output: 'enigmaticlegacy:etherium_leggings' });
  event.remove({ output: 'enigmaticlegacy:etherium_boots' });
  event.remove({ output: 'enigmaticlegacy:etherium_pickaxe' });
  event.remove({ output: 'enigmaticlegacy:etherium_axe' });
  event.remove({ output: 'enigmaticlegacy:etherium_shovel' });
  event.remove({ output: 'enigmaticlegacy:etherium_sword' });
  event.remove({ output: 'enigmaticlegacy:etherium_scythe' });
  event.remove({ output: 'botania:terrasteel_helmet' });
  event.remove({ output: 'botania:terrasteel_chestplate' });
  event.remove({ output: 'botania:terrasteel_leggings' });
  event.remove({ output: 'botania:terrasteel_boots' });
  event.remove({ output: 'botania:flight_tiara' });
  event.remove({ output: 'betterendforge:aeternium_helmet' });
  event.remove({ output: 'betterendforge:aeternium_chestplate' });
  event.remove({ output: 'betterendforge:aeternium_leggings' });
  event.remove({ output: 'betterendforge:aeternium_boots' });
  // DISABLED ITEMS
  event.remove({ output: 'minecraft:packed_ice' });
  event.remove({ id: 'botania:pure_daisy/packed_ice' });
  event.remove({ output: 'minecraft:blue_ice' });
  event.remove({ id: 'botania:pure_daisy/blue_ice' });
  event.remove({ output: 'usefulrailroads:teleport_rail' });
  // CRAFTING CONFLICTS
  event.remove({ output: 'quark:grate' });
  event.shaped('quark:grate', [
    'BBB',
    'BBB',
  ], {
    B: 'minecraft:iron_bars'
  });
  // ADDITIONAL RECIPES
  event.shaped('minecraft:saddle', [
    'LLL',
    'LIL'
  ], {
    I: '#forge:nuggets/iron',
    L: 'minecraft:leather'
  });
  event.shaped('enigmaticlegacy:cursed_ring', [
    'SHS',
    'BRB',
    'SFS'
  ], {
    R: 'enigmaticlegacy:iron_ring',
    F: 'enigmaticlegacy:forbidden_fruit',
    H: 'enigmaticlegacy:earth_heart',
    B: 'minecraft:blaze_powder',
    S: 'minecraft:redstone'
  });
  // NETHERITE GEAR
  event.remove({ output: 'minecraft:netherite_helmet' });
  event.remove({ output: 'minecraft:netherite_chestplate' });
  event.remove({ output: 'minecraft:netherite_leggings' });
  event.remove({ output: 'minecraft:netherite_boots' });
  event.smithing('minecraft:netherite_helmet', 'minecraft:diamond_helmet', 'betterendforge:aeternium_ingot');
  event.smithing('minecraft:netherite_chestplate', 'minecraft:diamond_chestplate', 'betterendforge:aeternium_ingot');
  event.smithing('minecraft:netherite_leggings', 'minecraft:diamond_leggings', 'betterendforge:aeternium_ingot');
  event.smithing('minecraft:netherite_boots', 'minecraft:diamond_boots', 'betterendforge:aeternium_ingot');
})

onEvent('item.tags', event => {
  // Get the #forge:cobblestone tag collection and add Diamond Ore to it
  // event.get('forge:cobblestone').add('minecraft:diamond_ore')
  
  // Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
  // event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})